Subject: Re: [Coco] C Compiler
From: gene heskett <[email-masked]>
To: [email-masked]
Date: Thu, 26 May 2011 12:25:58 -0400
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

On Thursday, May 26, 2011 10:28:10 AM Willard Goosey did opine:

> On Wed, May 25, 2011 at 07:53:10PM -0700, Dean Leiber wrote:
> > Does anyone have a List (& Download) of all the most recent 'C'
> > Compiler modules., Libraries, Docs, etc.?
> > It would be nice to do be able to do some development via MESS, but
> > I'd like to make sure I have all the latest
> > modules, etc.
> 
> This is somewhat out of date...  But is a good start. Unless otherwise
> stated, all .lzh and .ar files mentioned are on rtsi.  Most have docs
> and source included, or in a seperate file in the same directory.
> 
> ---------------------------
> From Dev Sys:
> lib/sys.l
> lib/cgfx.l
> defs/wind.h
> defs/stdmenu.h
> defs/mouse.h
> defs/buffs.h
> cmds/rma
> cmds/rlink
> cmds/rdump
> cmds/make
> 
> From original C compiler
> cmds/cc1
>     c.prep
>     c.pass1
>     c.pass2
>     c.opt
>     c.asm
>     c.link
> defs/
>     ctype.h
>     direct.h
>     errno.h
>     modes.h
>     module.h
>     os9.h
>     os9defs.h
>     setjmp.h
>     sgstat.h
>     signal.h
>     stdio.h
>     time.h
> lib/
>     clib.l
>     cstart.r
> sources/
>     line.c
>     prof.c
>     rdump.c
> sources/sys
>     syslib.l obsoleted by Krieder clib?
> 
> cc252.lzh  replaces cc1
> 
> c.comp     LII compiler same as c.pass1 and c.pass2, with no
>            intermediate file.  Faster
> 
> cprep19a.lzh  c_prep.  replaces c.prep
> 
> solve.lzh   solve.r  arithmatic parser/solver for C code
>             expects to be linked agains Krieder Clib
> 
> cstart.lzh  replacement lib/cstart.r
> 
> clib_krieder_91.lzh Krieders newest clib
>      lib/clib.l    Y2K issue in ctime()
>          clibt.l
> 
> c_defs.lzh  header files for Krieders lib
>    These files don't end with newlines!  MUST edit and add terminating
>    newlines.
> replaces:
>     ctype.h
>     direct.h
>     errno.h
>     modes.h
>     module.h
>     os9.h
>     setjmp.h
>     sgstat.h
>     signal.h
>     stdio.h   should have a prototype for FILE *fopen()
>     time.h
> 
> ansifront012.lzh
> adds cmds/ansifront
> 
> cgfx7.ar	has a horrible bug in getenv()
I may have a fixed version of that on the coco's HD, I'll look
> replaces lib/cgfx.l
>          defs/wind.h
>          defs/stdmenu.h
>          defs/mouse.h
>          defs/buffs.h
> cocoskel.lzh  prototype MultiVue app
>     src/cocoskel/mymenu.h
>                 /skel.c
>                 /skel.make
> 
> unixinclude.lzh
>     replaces defs/stdlib.h  change the proto of atof to return double
>     adds     defs/limits.h
>              defs/sys/cdef.h
>              defs/sys/types.h
> 
> 
> cdefs.ar older Krieder headers, has files newer version doesn't have
> 
> termcap_level2.lzh
> 	lib/termcap.l
>         defs/ttydefs.h
> 	why, no it doesn't have a termcap.h, why do you ask?
> 
> varargs.lzh
>      lib/varargs.l
>      defs/varargs.h
> 
> guilib.lzh
>      lib/gui.l
>      defs/gui.h
> 
> copt2_12.lzh

Where is this one?, I have Copt2_11.lzh here

>      cmds/copt2
>      cmds/rmxlab
>      sys/patterns.dat

At this point, I would add CnoY, from Genes site.  This is for coco3 level 
2 & later only machines, and optimizes the ,y references out of the asm 
code generated, giving a slight speedup since the y reference is a machine 
cycle slower than an x, u, or s reference.
 
> regexp.lzh
>      lib/regexp.l
>      defs/regexp.h
>      defs/regmagic.h
> 
> defs/bdraw.h  not sure where I got this
> defs/graphi.h not sure where I got this
> 	These are both cgfx replacements
> 
> defs/mathlib.h original MW math lib?
> lib/mathlib.l
> defs/graphics.h header for graflib
> lib/graflib.l   LI VDG graphics lib
> 	These were merged with clib.l on a weird disk
> 
> lb_C_Lib_splitter.lzh
> 	cmds/lb
> 
> cntx_5.lzh   sort of a mini-LINT.  Very useful  Gene's site
> 	cmds/cntx
> 
> triglib   high-precision math lib.  Gene's site
> 
> curses010.lzh  	experimental, has bugs, my site
> 	lib/curses.l
> 	defs/termcap.h can get this elsewhere, but this one matches
> 	defs/curses.h
> 
> unixlib.lzh or unixlib.ar  requires a setnuid() function
> 	lib/unix.l
> 
> SHF80.zip    SHF's site
> 	lib/debug.l
> 	lib/getargs.l
> 	lib/cos9.l
> 	lib/fcgfx.l
> 	defs/debug.h
> 	defs/cos9.h
> 	defs/getargs.h
> 
> alib.lzh or alib.ar
> 	lib/alib.l	AWESOME lib for assembly programming with rma
> 			No /dd/lib is complete without it!
> 
> make_tk.lzh	This is the make to use.  It's that simple.
> 
> rma_1_3.lzh	patches rma into r63
> 
> abandoned/unusable no docs, headers, or source
> dbg.l, mylib.l

dbg.doc now exists as dbg.README on my site.

And when "Genes site" is referenced above, that is:
<http://gene.homelinux.net:85/gene/Genes-os9-stf/>

I just ran the readme for trig.l through dos2unix as I couldn't read it 
here on this box when the os9 cr's were intact.  Still couldn't read it so 
it was renamed to end in README, which worked.  So I did the same with 
dbg.doc, and now it is readable too.  I also added a few more README's for 
those files I actually had a hand in.

Now, if we had a refresher listing for the SHF site?

> That oughta get you started.
 
A very good start indeed, thanks Willard.

-- 
Cheers, Gene
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
<http://tinyurl.com/ddg5bz>
<http://www.cantrip.org/gatto.html>
You have literary talent that you should take pains to develop.

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco